
BlendtoMax_float = NewRolloutFloater "Blender Fluids to Max v.1" 160 550


(

local object_list = #()
local object_names_list = #()

rollout Import_roll "Import Obj Sequence"
(
	button import_btn "Import"
	progressbar import_prog color:red
	on import_btn pressed do
	(
		
		seqpath = getSavePath caption:"Import Obj Sequence Folder"
		files = getFiles (seqpath+"\*.obj")
		sliderTime=0
		animationRange = interval 0 files.count
		importper=files.count
		objectname = 0

for f in files do 
( 	
	objectname = objectname +1
	--import current file in array files
	importFile f #noPrompt
	--set object name to framenumber	
	$.name = "Fluid" + (Objectname as string)
	import_prog.value = 100.0*objectname/importper
	 

)

		
	)
	
	
)
addRollout import_roll BlendtoMax_float rolledUp:false


rollout objects_roll "Object selection"
(
	button mult_btn "Pick All Objects" tooltip:"Pick all the geometry in the scene."
	listBox objects_lbox "" items:object_names_list height:5
	button remove_all_btn "Remove all" tooltip:"Remove all objects from list"

	on mult_btn pressed do (
			local obj = selectByName title:"Select objects for Auto ID" single:false
			if obj!=undefined then (
				for i=1 to obj.count do(
					append object_list obj[i].inode.handle
					append object_names_list obj[i].name
					objects_lbox.items = object_names_list
				)
			)
	)

	on objects_lbox doubleClicked num do (
		deleteItem object_list num
		deleteItem object_names_list num
		objects_lbox.items = object_names_list
	)

	on remove_all_btn pressed do (
		object_list = #()
		object_names_list = #()
		objects_lbox.items = object_names_list
	)
)
addRollout objects_roll BlendtoMax_float rolledUp:false



rollout create_roll "Create Animation"
(
	button create_btn "Create" tooltip:"Create Animation"
	
	on create_btn pressed do (
		undo "Add Object" on (
		
		local animframe = 0
		
		for i=1 to object_list.count do (
			
  			FluidObj=maxOps.getNodeByHandle object_list[i]
	 		selectKeys geometry (0)
			deleteKeys geometry #selection
			
		animate on
		(
			
			animframe = animframe		
			at time animframe FluidObj.scale=[0, 0, 0]
			animframe = animframe+1
			at time animframe FluidObj.scale=[1, 1, 1]
			animframe = animframe+1		
			at time animframe FluidObj.scale=[0, 0, 0]
			animframe = animframe-1
			
		)

				
		)

		)	
		)
	)
)
addRollout create_roll BlendtoMax_float rolledUp:false

rollout Import_roll "About This Script"
(
label lab1 "Created by Mark Theriault"
label lab2 "www.PartiallyFrozen.com"
)
addRollout import_roll BlendtoMax_float rolledUp:false



